#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 10. Graphics and Font Libraries

- Prev

  libraw-0.21.2

- Next

  Libspiro-20220722

- Up
- Home

# librsvg-2.57.1

## Introduction to librsvg

The librsvg package contains a library and tools used to manipulate, convert and view Scalable Vector Graphic (SVG) images.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/librsvg/2.57/librsvg-2.57.1.tar.xz

- Download MD5 sum: 0a9d809a4bdd371c894792e4c2eb94e9

- Download size: 5.4 MB

- Estimated disk space required: 998 MB (16 MB installed), add 589 MB for tests

- Estimated build time: 1.2 SBU (add 0.5 SBU for tests; both using parallelism=4)

### librsvg Dependencies

#### Required

Cairo-1.18.0, gdk-pixbuf-2.42.10, Pango-1.51.2, and rustc-1.76.0

### Note

An Internet connection is needed for building this package.

#### Recommended

gobject-introspection-1.78.1 and Vala-0.56.14

#### Optional

docutils-0.20.1 (for man pages), Gi-DocGen-2023.3 (for documentation), and Xorg Fonts (for tests)

## Installation of librsvg

Install librsvg by running the following commands:

    ./configure --prefix=/usr    \
                --enable-vala    \
                --disable-static \
                --docdir=/usr/share/doc/librsvg-2.57.1 &&
    make

To test the results, issue: LC_ALL=C make -k check.

Now, as the `root` user:

    make DOC_INSTALL_DIR='$(docdir)' install

### Note

If you installed the package on to your system using a “DESTDIR” method, an important file was not installed and should be copied and/or generated. Generate it using the following command as the `root` user:

    gdk-pixbuf-query-loaders --update-cache

## Command Explanations

`--enable-vala`: This switch enables building of the Vala bindings. Remove this switch if you don't have Vala-0.56.14 installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`DOC_INSTALL_DIR='$(docdir)'`: This override ensures installing the API documentation into the expected location if Gi-DocGen-2023.3 is installed.

`--disable-introspection`: Use this switch if you have not installed Gobject Introspection.

`--disable-gtk-doc`: This switch prevents building the API documentation, even if Gi-DocGen-2023.3 (despite the name of the option) is available.

## Contents

Installed Programs: rsvg-convert
Installed Library: librsvg-2.so and libpixbufloader-svg.so (installed in /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders)
Installed Directories: /usr/include/librsvg-2.0 and /usr/share/doc/librsvg-2.57.1

### Short Descriptions

rsvg-convert | is used to convert images into PNG, PDF, PS, SVG and other formats
`librsvg-2.so` | provides the functions to render Scalable Vector Graphics
`libpixbufloader-svg.so` | is the Gdk Pixbuf plugin that allows GTK+ applications to render Scalable Vector Graphics images

- Prev

  libraw-0.21.2

- Next

  Libspiro-20220722

- Up
- Home